Bug 288286 - The plasma_applet_notes plasmoid does not change the color.
Summary: The plasma_applet_notes plasmoid does not change the color.
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-notes (show other bugs)
Version: unspecified
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-05 20:37 UTC by Manuel Tortosa
Modified: 2011-12-08 09:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Tortosa 2011-12-05 20:37:44 UTC
Version:           unspecified (using Devel) 
OS:                Linux

The plasma_applet_notes notes does not change the color, after setting a new color and applying there's not change, remains in yellow.

Reproducible: Always

Steps to Reproduce:
Just add a plasma_applet_notes plasmoid, run the setup and try to select any color.

Actual Results:  
No color change.

Expected Results:  
Color change

Using either 4.8 beta or a git snapshot
Comment 1 Kolia 2011-12-06 12:49:15 UTC
Hi, do you add the widget on the desktop or on the dashboard? There have been a few reports about the color of notes not changing on the dashboard, but it was always working on the desktop in these cases.
Comment 2 Manuel Tortosa 2011-12-06 12:56:01 UTC
Fails on both dashboard and desktop. Actually after cnanging the colour the rc file looks like this:

[Containments][46][Applets][49][Configuration]
Share=false
autoSaveHtml=<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">\n<html><head><meta name="qrichtext" content="1" /><style type="text/css">$
color=yellow-notes
scrollValue=0

so somehow the config is not being written to plasma-desktop-appletsrc
Comment 3 Aaron J. Seigo 2011-12-06 16:01:42 UTC
what plasma desktop (svg) theme are you using?
Comment 4 Manuel Tortosa 2011-12-06 16:08:48 UTC
Plain vanilla kde config "Air" but does not matter. using another theme (i tried like 5) i get the same results, with or without composition.
Comment 5 Anne-Marie Mahfouf 2011-12-07 12:07:33 UTC
Git commit 2ee0a40f0422fe49cb8825ef3b6bedfb239eb4ce by Anne-Marie Mahfouf.
Committed on 07/12/2011 at 13:06.
Pushed by annma into branch 'master'.

set the changed Notes color
BUG: 288286

M  +1    -2    applets/notes/notes.cpp

http://commits.kde.org/kdeplasma-addons/2ee0a40f0422fe49cb8825ef3b6bedfb239eb4ce
Comment 6 Manuel Tortosa 2011-12-07 15:19:38 UTC
Sorry but i backported the commit to the 4.8 beta 2 tarball and does not seems to fix nothing. The colour does not change. Theorically the default colour in the drop-down list is white but the note appear as yellow. After changing the 
colour and apply, the colour still remains yellow.

As you can see in the rc, the color value never changes from yellow-notes, does not matter the color i choose:


[Containments][46][Applets][64]
geometry=1180,378,256,256
immutability=0
plugin=plasma_applet_notes
zvalue=114

[Containments][46][Applets][64][Configuration]
Share=false
autoSaveHtml=<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">\n<html><head><meta name="qrichtext" content="1" /><style type="text/css">$
color=yellow-notes
scrollValue=0
textColor=195,195,195
useThemeColor=true
Comment 7 Anne-Marie Mahfouf 2011-12-07 17:45:55 UTC
Sorry yes, I tested with the right click menu and the setting is written but in fact not kept and then I discovered the combobox setting and this one does not work at all.

In the code m_topWidget->color() stays at "yellow-notes" and what I thought would be a trivial fix is a bit more complicated. I'll look deeper in it and meanwhile I'm reopening this report.
Comment 8 Manuel Tortosa 2011-12-07 17:52:35 UTC
Thanks, will follow this issue. Request me any testing in this regard, will be glad to backport and test any commit.
Comment 9 Anne-Marie Mahfouf 2011-12-07 19:57:42 UTC
Manuel, thanks for the help in testing, here is a patch on reviewboard
https://git.reviewboard.kde.org/r/103353/

Should also address https://bugs.kde.org/show_bug.cgi?id=249174
Comment 10 Manuel Tortosa 2011-12-07 20:02:56 UTC
Will review right now and put a ship it if works. Thanks.
Comment 11 Manuel Tortosa 2011-12-07 20:20:50 UTC
You can apply and close both. thanks a lot.
Comment 12 Aaron J. Seigo 2011-12-08 09:34:26 UTC
Git commit acb4d203d1d2e5ac3cad3be5bc2a13cddf4fc9d2 by Aaron Seigo.
Committed on 08/12/2011 at 10:32.
Pushed by aseigo into branch 'master'.

porting with scripts is like running with scissors

BUG:288286
REVIEW:103353

M  +12   -9    applets/notes/notes.cpp

http://commits.kde.org/kdeplasma-addons/acb4d203d1d2e5ac3cad3be5bc2a13cddf4fc9d2